Package org.apache.sysds.runtime.controlprogram.paramserv.dp

# Class DataPartitionSparkScheme

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionSparkScheme

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DCSparkScheme`, `DRRSparkScheme`, `DRSparkScheme`, `ORSparkScheme`

public abstract class DataPartitionSparkScheme extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DataPartitionSparkScheme()`

## Method Summary

Modifier and Type
Method
Description
`abstract org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionSparkScheme.Result`
`doPartitioning(int numWorkers, int rblkID, MatrixBlock features, MatrixBlock labels)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataPartitionSparkScheme

public DataPartitionSparkScheme()

## Method Details

### doPartitioning

public abstract org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionSparkScheme.Result doPartitioning(int numWorkers, int rblkID, MatrixBlock features, MatrixBlock labels)